Package org.eclipse.mat.inspections

# Class CommonNameResolver

java.lang.Object
org.eclipse.mat.inspections.CommonNameResolver

public class CommonNameResolver extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CommonNameResolver.AccessibleObjectResolver`
`static class`
`CommonNameResolver.AtomicBooleanResolver`
`static class`
`CommonNameResolver.AtomicReferenceValueResolver`
`static class`
`CommonNameResolver.AtomicStampedReferenceValueResolver`
`static class`
`CommonNameResolver.BigDecimalResolver`
`static class`
`CommonNameResolver.BigIntegerResolver`
`static class`
`CommonNameResolver.ByteArrayResolver`
`static class`
`CommonNameResolver.CharArrayResolver`
`static class`
`CommonNameResolver.ClassTypeResolver`
For Oracle VMs for int.class, byte.class, void.class etc.
`static class`
`CommonNameResolver.ConstructorResolver`
`static class`
`CommonNameResolver.EnumResolver`
`static class`
`CommonNameResolver.ExternalDataResolver`
`static class`
`CommonNameResolver.FieldResolver`
`static class`
`CommonNameResolver.ICUBaseLocaleResolver`
`static class`
`CommonNameResolver.Inet6AddressHolderResolver`
`static class`
`CommonNameResolver.Inet6AddressResolver`
`static class`
`CommonNameResolver.InetAddressHolderResolver`
`static class`
`CommonNameResolver.InetAddressResolver`
`static class`
`CommonNameResolver.InetSocketAddressHolderResolver`
`static class`
`CommonNameResolver.InetSocketAddressResolver`
`static class`
`CommonNameResolver.LocaleResolver`
`static class`
`CommonNameResolver.MemberNameResolver`
`static class`
`CommonNameResolver.MethodResolver`
`static class`
`CommonNameResolver.ModuleResolver`
`static class`
`CommonNameResolver.SocketChannelImpl`
`static class`
`CommonNameResolver.StackTraceElementResolver`
`static class`
`CommonNameResolver.StringBufferResolver`
`static class`
`CommonNameResolver.StringResolver`
`static class`
`CommonNameResolver.SunLocaleResolver`
`static class`
`CommonNameResolver.ThreadGroupResolver`
`static class`
`CommonNameResolver.ThreadResolver`
`static class`
`CommonNameResolver.ULocaleResolver`
`static class`
`CommonNameResolver.URIResolver`
`static class`
`CommonNameResolver.URLResolver`
`static class`
`CommonNameResolver.ValueResolver`

## Constructor Summary

Constructors
Constructor
Description
`CommonNameResolver()`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommonNameResolver

public CommonNameResolver()